# resources/resource_definitions/unit_matching_combat_tactic_range.gd
class_name UnitMatchingCombatTacticRange extends CombatTacticRange

func is_valid_range(distance: int, unit: Unit) -> bool:
	return distance <= unit.current_stats.atk_range
